Retrieve a spending card | Moov Documentation

Retrieve a spending card

Retrieve a single issued card associated with a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

GET

/issuing/{accountID}/cards/{issuedCardID}

Ask

curl -X GET "https://api.moov.io/issuing/{accountID}/cards/{issuedCardID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.cardIssuing.get({
    accountID: "4fde8da4-b6c5-4379-82a2-4ff6a742e41a",
    issuedCardID: "d04885c9-ea6b-43a7-9186-63d9fbd57716",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->cardIssuing->get(
    accountID: '4fde8da4-b6c5-4379-82a2-4ff6a742e41a',
    issuedCardID: 'd04885c9-ea6b-43a7-9186-63d9fbd57716'
);

if ($response->issuedCard !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetIssuedCardResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetIssuedCardResponse res = sdk.cardIssuing().get()
                .accountID("4fde8da4-b6c5-4379-82a2-4ff6a742e41a")
                .issuedCardID("d04885c9-ea6b-43a7-9186-63d9fbd57716")
                .call();

if (res.issuedCard().isPresent()) {
            System.out.println(res.issuedCard().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.card_issuing.get(account_id="4fde8da4-b6c5-4379-82a2-4ff6a742e41a", issued_card_id="d04885c9-ea6b-43a7-9186-63d9fbd57716")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.card_issuing.get(account_id: '4fde8da4-b6c5-4379-82a2-4ff6a742e41a', issued_card_id: 'd04885c9-ea6b-43a7-9186-63d9fbd57716')

unless res.issued_card.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.CardIssuing.GetAsync(
    accountID: "4fde8da4-b6c5-4379-82a2-4ff6a742e41a",
    issuedCardID: "d04885c9-ea6b-43a7-9186-63d9fbd57716"
);

// handle response

Example

{
  "issuedCardID": "string",
  "brand": "Visa",
  "lastFourCardNumber": "string",
  "expiration": {
    "month": "01",
    "year": "21"
  },
  "fundingWalletID": "string",
  "authorizedUserAccountID": "string",
  "nickname": "string",
  "metadata": {
    "optional": "metadata"
  },
  "billingAddress": {
    "addressLine1": "123 Main Street",
    "addressLine2": "Apt 302",
    "city": "Boulder",
    "stateOrProvince": "CO",
    "postalCode": "80301",
    "country": "US"
  },
  "state": "active",
  "formFactor": "virtual",
  "controls": {
    "singleUse": true,
    "velocityLimits": [
      {
        "amount": 10000,
        "interval": "per-transaction"
      }
    ]
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.04.00

The Moov business account for which the card was issued.

The card brand.

Possible values:

American Express, Discover, Mastercard, Visa, Unknown

The expiration date of the card or token.

Show child attributes

Two-digit month the card expires.

Two-digit year the card expires.

Specifies the type of spend card to be issued. Presently supports virtual only, providing a digital number without a physical card.

Possible values:

virtual

Unique identifier for the wallet funding the card.

The state represents the operational status of an issued card. A card can only approve incoming authorizations if it is in an active state.

Possible values:

active, closed

Identifier for the account of the card's authorized user.

Billing address associated with the card.

Show child attributes

Show child attributes

Indicates if the card is single-use. If true, the card closes after the first authorization.

Sets the spending limit per time interval. Only one limit per interval is supported.

Show child attributes

The maximum amount in cents that can be spent in a given interval.

Specifies the time frame for the velocity limit. Currently supports only per-transaction limits.

Possible values:

per-transaction

Free-form key-value pair list. Useful for storing information that is not captured elsewhere.

An optional descriptive name for the card.